[Recurring Task] Wikipedia.org Portal: update with new files from translatewiki
Open, NormalPublic

Description

This ticket will be used to update the portal page with new translations - preferably shortly after they are exported/committed or on some sort of regular basis.

Note: These files are being called client-side (not server side) at this time. We might revisit this later, to possibly convert to a server-side rendering of the translations.

We will use this as a recurring ticket for the translation updates being pushed to the Wikipedia.org portal page in order for easy referencing on what file(s) were pushed and when.

This ticket is to specifically update the following words on the portal with translations that we receive from translatewiki:

  • Wikipedia
  • The free encyclopedia
  • articles
  • sister project names and descriptive text:
    • Commons: Freely usable photos & more
    • Wikibooks: Free textbooks
    • Wikiversity: Free course materials
    • Wikisource: Free library
    • Wikivoyage: Free travel guide
    • Wikinews: Free news source
    • Wikiquote: Free quote compendium
    • Wikispecies: Free species directory
    • Wiktionary: Free dictionary
    • Wikidata: Free knowledge base
    • MediaWiki: Free & open wiki application
    • Meta-Wiki: Community coordination & documentation

See the epic ticket T136441 for more information on how we set up the translation ingestion process.

These translations can be pushed to production at the same time that we update the portal page for article stats (see T128546 for more info).

debt created this task.Aug 10 2016, 4:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2016, 4:06 PM
debt triaged this task as Normal priority.Aug 10 2016, 4:06 PM
debt moved this task from Backlog to What's Next on the Discovery-Portal-Sprint board.
debt renamed this task from Wikipedia.org Portal: update with new files from translatewiki to [Recurring Task] Wikipedia.org Portal: update with new files from translatewiki.
debt updated the task description. (Show Details)Aug 18 2016, 5:15 PM
debt updated the task description. (Show Details)Aug 18 2016, 5:20 PM
debt updated the task description. (Show Details)
Nemo_bis updated the task description. (Show Details)Aug 18 2016, 5:32 PM
Gnom1 added a subscriber: Gnom1.Aug 19 2016, 7:39 AM

( adding missing Wikimedia-Portals to Projects/Tags)

Change 318271 had a related patch set uploaded (by Jdrewniak):
Building wikipedia.org portal for prod

https://gerrit.wikimedia.org/r/318271

Change 318271 merged by jenkins-bot:
Building wikipedia.org portal for prod

https://gerrit.wikimedia.org/r/318271

debt moved this task from What's Next to Done on the Discovery-Portal-Sprint board.Nov 2 2016, 7:13 PM

Translations were updated today on the portal.

debt moved this task from Done to In Progress on the Discovery-Portal-Sprint board.EditedNov 4 2016, 12:24 AM

Looks like we missed a patch - we'll get it updated shortly after code review: https://gerrit.wikimedia.org/r/#/c/319563/
@JGirault - do you think you can help?

debt added a comment.Nov 29 2016, 4:35 PM

This was updated today, but gerrit didn't automatically update this ticket: https://gerrit.wikimedia.org/r/#/c/319563/ we'll need a +2 at this point. :)

This patch was released on Dec 15, 2016 - here are two screen shots showing a browser set with French and Chinese set as the primary language. It shows that all the French translations are in, but not all of the Chinese is. This could be typical of several languages - where not all the words have been translated.
Also - the app links are purposely not translated at this point, since they're part of a long term test that is still ongoing.


Hi, the information at the bottom of the page is still untranslated. Also, why do the app links have to be in English? I am confused.

Hi, the information at the bottom of the page is still untranslated.

I just checked using a browser which had its primary language set to Spanish and the footer was translated; see screenshot below. It's likely that it just wasn't deployed yet when you checked, or that you're viewing it in a language that has yet to receive translations. :-)

Also, why do the app links have to be in English? I am confused.

That page has long been lacking infrastructure, such as support for translations. As it stands, the translation infrastructure was only recently added, and it was added after the app links; if the translation infrastructure had been added first, then they could've been translated easily. As it stands, the app links are part of a long-running test, and given that they may not be permanent, spending valuable engineering time perfecting something that might be outright deleted would be unwise at this stage.

Hi Deskana, thank you for your comment! I am sorry that there has been a misunderstanding. By 'information at the bottom of the page', I was referring to the final line of the page that reads, "This page is available under the Creative Commons Attribution-ShareAlike License. Terms of Use • Privacy Policy", which can be found at the very bottom of the page.

Regarding the app links, how much more will this "long-running" test last? Let me add that when I see a page somewhere on the web that has text in both English and my native German, my feeling is that this page has a bug. We shouldn't allow wikipedia.org to look buggy. Also, I am wondering how much engineering time it might take to include the links with the parts that need to be translated, because I'm (naively) assuming it needs more lines of code to have a page deliberately displayed in two languages, instead of just one.

debt added a comment.Dec 20 2016, 2:01 AM

Hi @Gnom1 - the legal language at the bottom of the page is deliberately only in English because full context is hard to ensure with all translations.

For the long running test for the app links - it's only been up on the site for about 6 weeks at this point. It's actually not hard to keep that section (or any section) in English at this point. We will most likely add in the request for the app links to the 'need to be translated' section in translatewiki soon, and we'll make that decision in early 2017.

Gnom1 added a comment.Dec 20 2016, 8:53 AM

Hi @Gnom1 - the legal language at the bottom of the page is deliberately only in English because full context is hard to ensure with all translations.

Hi @debt - I am very sorry, but what does that mean? Don't we have hundreds and hundreds of localized legal language bits all over the projects? Doesn't the Urdu Wikipedia have a licence tag in Urdu and it's totally fine that way? Why does this line on wikipedia.org have to be in English? Maybe I am having difficulties understanding what you wrote.

I once read that Wikipedia is the most multilingual project in all of history. I really would like to see a page like wikipedia.org reflect that as much as possible.

debt added a comment.Dec 20 2016, 5:09 PM

Hi @Gnom1 - we took a look this morning and we're not sure we can re-use existing translations for the legal footer text, because it is slightly different. However, I created T153764 to add the phrases into translatewiki for requesting of translations and for future display on the portal.

We're also happy that you appear to be happy with the progress we've made so far in making the portal page much more accessible and readable in the world's languages!

I'd like everyone to bear in mind that until a few weeks ago there was no localisation on the page at all. Discovery has been working tirelessly to add localisation infrastructure to the page. The little bit of localisation that's on there now is a big improvement over having none at all! Please bear with us whilst we try to improve the situation. :-)

Also - the app links are purposely not translated at this point, since they're part of a long term test that is still ongoing.

This is not right. There is no reason whatsoever to leave this part intentionally untranslated, and as @Gnom1 says this is indeed a bug (T154350).

Even when there is a good reason to leave something intentionally in English, it must be explicitly defined as such, otherwise it is likely to cause RTL and other issues. See T154349.

I'd like everyone to bear in mind that until a few weeks ago there was no localisation on the page at all. Discovery has been working tirelessly to add localisation infrastructure to the page. The little bit of localisation that's on there now is a big improvement over having none at all! Please bear with us whilst we try to improve the situation. :-)

Understandable. No problem, I'll be happy to help. Happy new year! :)

debt added a comment.Jan 4 2017, 10:09 PM

We've also updated the latest translations from translatewiki today: https://phabricator.wikimedia.org/rWPOR140a2fe205ff56935e744994a3c2af68c42c2021

Change 342614 had a related patch set uploaded (by Jdrewniak):
[wikimedia/portals] Updating portal stats

https://gerrit.wikimedia.org/r/342614

Change 342614 merged by jenkins-bot:
[wikimedia/portals] Updating portal stats

https://gerrit.wikimedia.org/r/342614

Change 342616 had a related patch set uploaded (by Jdrewniak):
[operations/mediawiki-config] Bumping portals to master

https://gerrit.wikimedia.org/r/342616

Change 342616 merged by jenkins-bot:
[operations/mediawiki-config] Bumping portals to master

https://gerrit.wikimedia.org/r/342616

Is this about updating the files from translatewiki, or about getting the files deployed to production?

The title may have to be updated to clarify this.

Also, the deployment task should probably be automated, similarly to LocalisationUpdate.

Translations were updated in production on March 14, 2017, moving to 'what's next' to take a look at this again in a few weeks.

The latest translations were deployed to production on April 11, 2017, moving to what's next for another installment in a few weeks.

debt added a comment.Apr 27 2017, 6:39 PM

The latest translations were deployed to production on April 27, 2017 via https://gerrit.wikimedia.org/r/#/c/349932/

debt added a comment.EditedJun 7 2017, 7:15 PM

The latest translations were deployed to production on June 7, 2017 via https://gerrit.wikimedia.org/r/#/c/357452/

Change 361681 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/361681

Change 361681 merged by jenkins-bot:
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/361681

debt added a comment.Jun 27 2017, 11:32 PM

Translations were deployed to production on the portal today, June 27, 2017

Change 365921 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Stats update for wikipedia portals

https://gerrit.wikimedia.org/r/365921

Change 365921 merged by jenkins-bot:
[wikimedia/portals@master] Stats update for wikipedia portals

https://gerrit.wikimedia.org/r/365921

Deskana removed a subscriber: Deskana.Jul 18 2017, 11:02 AM

Change 365946 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/365946

Change 365946 merged by jenkins-bot:
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/365946

debt added a comment.Jul 21 2017, 8:04 PM

Portal translations were updated on July 18, 2017

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 8:04 PM

Portal translations were updated on Aug 24, 2017

debt added a comment.Sep 6 2017, 6:21 PM

Portal translations were updated on Sep 6. 2017

Change 385211 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Stats update for www portals

https://gerrit.wikimedia.org/r/385211

Change 385211 merged by jenkins-bot:
[wikimedia/portals@master] Stats update for www portals

https://gerrit.wikimedia.org/r/385211

debt added a comment.Oct 19 2017, 7:55 PM

Portal translations were updated on Oct 19, 2017

debt added a comment.Mon, Oct 30, 9:17 PM

Portal translations were updated on Oct 30, 2017

debt added a comment.Mon, Nov 20, 8:06 PM

Portal translations were updated on Nov 20, 2017 - this was the first one using our new automated process, still a work in process